Subject: Re: bug#45543: 26.3; Segmentation Fault on mu4e

From: Partha Pratim Ghosh <[email-masked]>
Date: Fri, 01 Jan 2021 22:24:49 +0200

Dear Eli,

Please accept my thanks for your suggested solution which has now
worked. I have indeed upgraded to Emacs 27.1 with imagemagick 7.

On this issue: I find the xwidget support for web browsing too
primitive and far less functional than the ewww route. Is there any
other way to invoke the wen browser facility on Emacs? I ask this
question essentially because: in these days I do need a web browser to
do video call with my students. This is really painful on usual web
browsers, espcially because they seem to make the computer working
anonymously and heats up my machine, to the extent that I have to switch
off after an hour. My usual web browsing does not require much of a
hassle and is usually done through ewww. I would like to avoid using
usual browsers at all if Emacs can do the same job.

With my regards and all the very best wishes,

partha
Eli Zaretskii <[email-masked]> writes:

> [Please use Reply All to keep the bug address on the CC list.]
>
>> From: Partha Pratim Ghosh <[email-masked]>
>> Date: Thu, 31 Dec 2020 17:46:23 +0200
>> 
>> Dear Eli,
>> 
>> Please accept my thanks for your advice.
>> 
>> Please note: my locale is bn_IN, I use bengali in my Org diaries...,
>> and thus is it true without m17n library rendering of bengali script
>> would still be possible?
>
> Yes.  Emacs 27 and later uses the HarfBuzz library as its main
> text-shaping engine; HarfBuzz is perfectly capable of rendering the
> bengali script, probably better that m17n.  HarfBuzz is also actively
> developed, so if you discover a problem, we can get it fixed much
> faster.
>
>> Also, for a newer version of Emacs, please let me know if I should give
>> xwidget a try to allow for web browsing from emacs itself.
>
> You can.  But xwidget is a separate feature, so you don't need to use
> it for rendering the bengali script, and it is not a mandatory
> requirement for using Emacs 27.

-- 
Partha Pratim Ghosh
School of Mathematical Sciences
University of South Africa
Florida Science Campus
corner of Pioneer & Christiaan de Wet
Florida, Gauteng, South Africa
email: [email-masked]